Subject: (usagi-users 03690) Re: Bug in order of multiple IPv6 addresses per interface? Newest added one is preferred in difference to IPv4

From: Peter Bieringer <[email-masked]>
Date: Mon, 21 Aug 2006 14:36:10 +0200

JINMEI Tatuya / 神明達哉 schrieb:
>>>>>> On Mon, 21 Aug 2006 12:47:36 +0200, 
>>>>>> Peter Bieringer <[email-masked]> said:
> 
>>> I do not favor changing this so far.
> 
>> Hmm, would it be possible to implement a primary flag in the future?
> 
>> BTW: Does anyone know about the behavior of *BSD for this issue?
> 
> As far as I know, BSD variants don't have the notion of *explicit*
> 'first/primary' or 'secondary' address.  But if your main concern is
> to prefer particular addresses as the source address of outgoing
> packets, you'd be able to achieve the goal by configuring appropriate
> policy table entries (per RFC3484).

Hmm, can I do this on Linux, too for preferring a source address (out of
configured addresses from the *same subnet*)?

I only found:
http://people.redhat.com/drepper/linux-rfc3484.html
But this is more related to destination addresses.

Thank you very much.

	Peter
-- 
Dr. Peter Bieringer                     http://www.bieringer.de/pb/
GPG/PGP Key 0x958F422D                       mailto:[email-masked]
Deep Space 6 Co-Founder and Core Member  http://www.deepspace6.net/
OpenBC                    http://www.openbc.com/hp/Peter_Bieringer/
Personal invitation to OpenBC  http://www.openbc.com/go/invita/3889